summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author core <eroc@linuxmail.org>2010-05-11 20:00:02 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:02 +0200
commitfa2a24e122f15a3d65e574f105296116d62b1e96 (patch)
treefbb6d4a784d2fe1be85be48310042f43f0b05573 /desktop
parent9a120393ac504985ff47b279e6c382cd02e386fc (diff)
downloadslackbuilds-fa2a24e122f15a3d65e574f105296116d62b1e96.tar.gz
slackbuilds-fa2a24e122f15a3d65e574f105296116d62b1e96.tar.xz
desktop/alphacube: Added to 12.0 repository
Diffstat (limited to 'desktop')
-rw-r--r--desktop/alphacube/README3
-rw-r--r--desktop/alphacube/alphacube.SlackBuild64
-rw-r--r--desktop/alphacube/alphacube.info8
-rw-r--r--desktop/alphacube/slack-desc19
4 files changed, 94 insertions, 0 deletions
diff --git a/desktop/alphacube/README b/desktop/alphacube/README
new file mode 100644
index 0000000000..a98ffb0230
--- /dev/null
+++ b/desktop/alphacube/README
@@ -0,0 +1,3 @@
+Alphacube - a Window Decoration native KDE 3.5.*
+
+Ported from the Metacity theme Alphacube.
diff --git a/desktop/alphacube/alphacube.SlackBuild b/desktop/alphacube/alphacube.SlackBuild
new file mode 100644
index 0000000000..e6d54a4c63
--- /dev/null
+++ b/desktop/alphacube/alphacube.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for alphacube
+# Written by core (eroc@linuxmail.org)
+
+set -e
+
+PRGNAM=alphacube
+PRGNAMALT=Alphacube
+VERSION=0.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/*-$PRGNAMALT-$VERSION.tar.bz2
+mv $PRGNAMALT-$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+KDEPREF=$(kde-config --prefix) || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=$KDEPREF \
+ --enable-shared=yes \
+ --enable-static=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Integrate the color scheme
+mkdir -p $PKG/$KDEPREF/share/apps/kdisplay/color-schemes/
+cat $PRGNAMALT.kcsrc > $PKG/$KDEPREF/share/apps/kdisplay/color-schemes/$PRGNAMALT.kcsrc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat readme > $PKG/usr/doc/$PRGNAM-$VERSION/readme
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/alphacube/alphacube.info b/desktop/alphacube/alphacube.info
new file mode 100644
index 0000000000..bd111e1d8e
--- /dev/null
+++ b/desktop/alphacube/alphacube.info
@@ -0,0 +1,8 @@
+PRGNAM="alphacube"
+VERSION="0.3"
+HOMEPAGE="http://www.kde-look.org/content/show.php/Alphacube?content=32099"
+DOWNLOAD="http://www.kde-look.org/CONTENT/content-files/32099-Alphacube-0.3.tar.bz2"
+MD5SUM="e5213ead2810f8b9f7cfde80f11035fa"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="BP{k}"
diff --git a/desktop/alphacube/slack-desc b/desktop/alphacube/slack-desc
new file mode 100644
index 0000000000..4fbda95661
--- /dev/null
+++ b/desktop/alphacube/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+alphacube: Alphacube (a Window Decoration native KDE 3.5.*)
+alphacube:
+alphacube: Ported from the Metacity theme Alphacube.
+alphacube:
+alphacube: Homepage:
+alphacube: http://www.kde-look.org/content/show.php/Alphacube?content=32099
+alphacube:
+alphacube:
+alphacube:
+alphacube:
+alphacube: